<li class="list-group-item list-group-item-action dev-info-container {{worker.happinessLevel}}"
    [style.opacity]="worker.holidaysFlag ? 0.5 : 1"
    (click)="toggleWorkerMenu($event)"
    (mouseleave)="showWorkerMenu = false">
  <div class="dev-status">
    <span [title]="worker.happinessLevel">{{worker.happinessIcon}}</span>
  </div>

  <div class="dev-name">
    <span class="mr-2"><strong>{{worker.name}}</strong></span>
    <!--    <span><small title="Main skill">({{worker.mainlySkill}})</small></span>-->
    <ng-container *ngFor="let skill of worker.skills">
      <span class="skill-info" [title]="skill.skill">{{skill.label}}: {{skill.points}}</span>
    </ng-container>
  </div>

  <div class="dev-icons">
    <!--        <span class="mr-2" [title]="worker.gender">{{worker.genderIcon}}</span>-->
    <span *ngIf="worker.currentProjectId" [title]="'Working on project '+worker.currentProjectId">💼</span>
    <span *ngIf="!worker.currentProjectId" [title]="'Currently without a project'">💬</span>
    <span *ngIf="worker.energy < 50 && !worker.holidaysFlag" title="Send in Holidays"
          (click)="sendToHolidays($event, worker)">✈️</span>
    <span *ngIf="worker.holidaysFlag" class="ml-2" title="In Holidays">🏝️</span>
  </div>

  <div class="dev-salary">
    <span title="Salary">💸<small> -{{worker.salary}} €</small></span>
  </div>

  <ng-container *ngIf="showWorkerMenu">
    <div class="worker-menu-container">
      <div *ngIf="!worker.isPlayerCharacter" class="menu-option" (click)="handleDismissWorker(worker)">
        <span>👣 Dismiss</span>
      </div>
      <div class="menu-option" [style.opacity]="availableProjects.length>0 ? 1 : 0.5">
        <span>💼 Assign to a project</span>
        <div class="side-submenu">
          <div *ngFor="let project of availableProjects">
            <span class="ml-4" (click)="assignToProject(worker, project)">🔹 {{project.name}}</span>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</li>

